import knex from "knex";
import type { Knex } from "knex";
import { DatabaseSync } from "node:sqlite";
type KnexClientCtor = typeof Knex.Client;
declare const BetterSqlite3Client: KnexClientCtor;
export declare class NodeSqliteClient extends BetterSqlite3Client {
    _driver(): typeof DatabaseSync;
    acquireRawConnection(): Promise<any>;
    destroyRawConnection(connection: any): Promise<any>;
    _query(connection: any, obj: any): Promise<any>;
}
export declare const db: knex.Knex<any, unknown[]>;
export declare function cleanupDB(): Promise<void>;
export {};
